var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import React, { forwardRef } from 'react';
import { Card as FusionCard } from '@alifd/next';
import hoist from '../../utils/hoist';
import DropdownActions from './dropdown-actions';
import CollapsableHead from './collapsable-head';
import CollapsableTail from './collapsable-tail';
var ExtendedCard = hoist(forwardRef(function (props, ref) {
    return React.createElement(FusionCard, __assign({ showTitleBullet: false }, props, { ref: ref }));
}), FusionCard);
var Card = ExtendedCard;
// 额外新增一些..
Card.DropDownActions = DropdownActions; // 兼容旧版 API
Card.DropdownActions = DropdownActions;
Card.CollapsableHead = CollapsableHead;
Card.CollapsableTail = CollapsableTail;
// 导出组件
export default Card;
